<?php
require_once(getabspath("classes/cipherer.php"));



$tdataPurchasing_Dashboard = array();
$tdataPurchasing_Dashboard[".ShortName"] = "Purchasing_Dashboard";

$tdataPurchasing_Dashboard[".pagesByType"] = my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" );
$tdataPurchasing_Dashboard[".originalPagesByType"] = $tdataPurchasing_Dashboard[".pagesByType"];
$tdataPurchasing_Dashboard[".pages"] = types2pages( my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" ) );
$tdataPurchasing_Dashboard[".originalPages"] = $tdataPurchasing_Dashboard[".pages"];
$tdataPurchasing_Dashboard[".defaultPages"] = my_json_decode( "{\"dashboard\":\"dashboard\",\"search\":\"search\"}" );
$tdataPurchasing_Dashboard[".originalDefaultPages"] = $tdataPurchasing_Dashboard[".defaultPages"];


//	field labels
$fieldLabelsPurchasing_Dashboard = array();
$pageTitlesPurchasing_Dashboard = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsPurchasing_Dashboard["English"] = array();
	$fieldLabelsPurchasing_Dashboard["English"]["purchase_request_TXNID"] = "Purchase Request TXNID";
	$fieldLabelsPurchasing_Dashboard["English"]["purchase_request_Transadate"] = "Purchase Request Transadate";
	$fieldLabelsPurchasing_Dashboard["English"]["purchase_request_Business_Partner"] = "Purchase Request Business Partner";
	$fieldLabelsPurchasing_Dashboard["English"]["purchase_request_Remarks"] = "Purchase Request Remarks";
	$fieldLabelsPurchasing_Dashboard["English"]["purchase_request_Net_pay"] = "Purchase Request Net Pay";
}
if(mlang_getcurrentlang()=="Chinese")
{
	$fieldLabelsPurchasing_Dashboard["Chinese"] = array();
	$fieldLabelsPurchasing_Dashboard["Chinese"]["purchase_request_TXNID"] = "Purchase Request TXNID";
	$fieldLabelsPurchasing_Dashboard["Chinese"]["purchase_request_Transadate"] = "Purchase Request Transadate";
	$fieldLabelsPurchasing_Dashboard["Chinese"]["purchase_request_Business_Partner"] = "Purchase Request Business Partner";
	$fieldLabelsPurchasing_Dashboard["Chinese"]["purchase_request_Remarks"] = "Purchase Request Remarks";
	$fieldLabelsPurchasing_Dashboard["Chinese"]["purchase_request_Net_pay"] = "Purchase Request Net Pay";
}
if(mlang_getcurrentlang()=="Tagalog(Philippines)")
{
	$fieldLabelsPurchasing_Dashboard["Tagalog(Philippines)"] = array();
	$fieldLabelsPurchasing_Dashboard["Tagalog(Philippines)"]["purchase_request_TXNID"] = "Purchase Request TXNID";
	$fieldLabelsPurchasing_Dashboard["Tagalog(Philippines)"]["purchase_request_Transadate"] = "Purchase Request Transadate";
	$fieldLabelsPurchasing_Dashboard["Tagalog(Philippines)"]["purchase_request_Business_Partner"] = "Purchase Request Business Partner";
	$fieldLabelsPurchasing_Dashboard["Tagalog(Philippines)"]["purchase_request_Remarks"] = "Purchase Request Remarks";
	$fieldLabelsPurchasing_Dashboard["Tagalog(Philippines)"]["purchase_request_Net_pay"] = "Purchase Request Net Pay";
}
if(mlang_getcurrentlang()=="Thai")
{
	$fieldLabelsPurchasing_Dashboard["Thai"] = array();
	$fieldLabelsPurchasing_Dashboard["Thai"]["purchase_request_TXNID"] = "Purchase Request TXNID";
	$fieldLabelsPurchasing_Dashboard["Thai"]["purchase_request_Transadate"] = "Purchase Request Transadate";
	$fieldLabelsPurchasing_Dashboard["Thai"]["purchase_request_Business_Partner"] = "Purchase Request Business Partner";
	$fieldLabelsPurchasing_Dashboard["Thai"]["purchase_request_Remarks"] = "Purchase Request Remarks";
	$fieldLabelsPurchasing_Dashboard["Thai"]["purchase_request_Net_pay"] = "Purchase Request Net Pay";
}

//	search fields
$tdataPurchasing_Dashboard[".searchFields"] = array();
$dashField = array();
$dashField[] = array( "table"=>"purchase_request", "field"=>"TXNID" );
$tdataPurchasing_Dashboard[".searchFields"]["purchase_request_TXNID"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"purchase_request", "field"=>"Transadate" );
$tdataPurchasing_Dashboard[".searchFields"]["purchase_request_Transadate"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"purchase_request", "field"=>"Business_Partner" );
$tdataPurchasing_Dashboard[".searchFields"]["purchase_request_Business_Partner"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"purchase_request", "field"=>"Remarks" );
$tdataPurchasing_Dashboard[".searchFields"]["purchase_request_Remarks"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"purchase_request", "field"=>"Net_pay" );
$tdataPurchasing_Dashboard[".searchFields"]["purchase_request_Net_pay"] = $dashField;

// all search fields
$tdataPurchasing_Dashboard[".allSearchFields"] = array();
$tdataPurchasing_Dashboard[".allSearchFields"][] = "purchase_request_TXNID";
$tdataPurchasing_Dashboard[".allSearchFields"][] = "purchase_request_Transadate";
$tdataPurchasing_Dashboard[".allSearchFields"][] = "purchase_request_Business_Partner";
$tdataPurchasing_Dashboard[".allSearchFields"][] = "purchase_request_Remarks";
$tdataPurchasing_Dashboard[".allSearchFields"][] = "purchase_request_Net_pay";

// good like search fields
$tdataPurchasing_Dashboard[".googleLikeFields"] = array();
$tdataPurchasing_Dashboard[".googleLikeFields"][] = "purchase_request_TXNID";
$tdataPurchasing_Dashboard[".googleLikeFields"][] = "purchase_request_Transadate";
$tdataPurchasing_Dashboard[".googleLikeFields"][] = "purchase_request_Business_Partner";
$tdataPurchasing_Dashboard[".googleLikeFields"][] = "purchase_request_Remarks";
$tdataPurchasing_Dashboard[".googleLikeFields"][] = "purchase_request_Net_pay";

$tdataPurchasing_Dashboard[".dashElements"] = array();

	$dbelement = array( "elementName" => "purchase_request_list", "table" => "purchase_request",
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
			

	$tdataPurchasing_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "debit_memo_list", "table" => "debit_memo",
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
			

	$tdataPurchasing_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "for_checking_list", "table" => "for_checking",
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
			

	$tdataPurchasing_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "for_approval_list", "table" => "for_approval",
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
			

	$tdataPurchasing_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "pending_items_reminders_report", "table" => "pending_items_reminders",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_0_1";

			$dbelement["width"] = 600;
		$dbelement["height"] = 400;


	$tdataPurchasing_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "For_Checking_Dashboard_report", "table" => "For_Checking_Dashboard",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_1_1";

			$dbelement["width"] = 600;
		$dbelement["height"] = 400;


	$tdataPurchasing_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "For_Approval_Dashboard_report", "table" => "For_Approval_Dashboard",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_2_1";

			$dbelement["width"] = 600;
		$dbelement["height"] = 400;


	$tdataPurchasing_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "purchase_report_per_item_Chart_chart", "table" => "purchase_report_per_item Chart",
		 "pageName" => "","type" => 1);
	$dbelement["cellName"] = "cell_0_0";

			$dbelement["width"] = 600;
		$dbelement["height"] = 400;


	$tdataPurchasing_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "open_pr_Report_report", "table" => "open_pr_Report",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_1_0";

			$dbelement["width"] = 600;
		$dbelement["height"] = 400;


	$tdataPurchasing_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "Purchasing_Item_below_reorder_report", "table" => "Purchasing_Item_below_reorder",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_2_0";

			$dbelement["width"] = 600;
		$dbelement["height"] = 400;


	$tdataPurchasing_Dashboard[".dashElements"][] = $dbelement;

$tdataPurchasing_Dashboard[".shortTableName"] = "Purchasing_Dashboard";
$tdataPurchasing_Dashboard[".entityType"] = 4;



$tableEvents["Purchasing_Dashboard"] = new eventsBase;
$tdataPurchasing_Dashboard[".hasEvents"] = false;


$tdataPurchasing_Dashboard[".tableType"] = "dashboard";


																																																																																																																																																																																																																																				
$tdataPurchasing_Dashboard[".addPageEvents"] = false;

$tdataPurchasing_Dashboard[".isUseAjaxSuggest"] = true;

$tables_data["Purchasing_Dashboard"]=&$tdataPurchasing_Dashboard;
$field_labels["Purchasing_Dashboard"] = &$fieldLabelsPurchasing_Dashboard;
$page_titles["Purchasing_Dashboard"] = &$pageTitlesPurchasing_Dashboard;

?>